Skip to main content
GET
List wallet alerts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

external_customer_id
string
required

The customer external unique identifier (provided by your own application)

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

wallet_code
string
required

A unique wallet identifier within a customer. It is either set by the user at creation or auto-generated by Lago if not provided.

Example:

"wallet-code"

Query Parameters

page
integer

Page number. Defaults to 1. A value that is not a positive integer, such as 0, returns the first page.

Example:

1

per_page
integer

Number of records per page. Defaults to 100. The maximum is 200, unless another maximum is configured for your organization. A value above the maximum returns a 422 error with value_is_out_of_range on per_page. A value that is not a positive integer, such as 0, returns the default number of records.

Example:

20

Response

Wallet alerts

alerts
object[]
required
meta
object